! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

! Example 2.16. (Catherine Spade, 8 October 1999)
! Count high and low temperatures.
  program C16
    use C16M
    implicit none
    integer, parameter :: LIMIT = 30
    real :: Temperature
    integer :: Loop
! start program A06
    do Loop = 1, LIMIT
      write (unit = *, fmt = *) " Please enter the next temperature. "
      read (unit = *, fmt = *) Temperature
      call Accounting( Temperature )
    end do
    stop
  end program C16
